Időzóna: (GMT +1 óra) RSS - hozzászólások

3.0 kontra 3.1

Szerző
Üzenet
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.02.28. 23:51    Hozzászólás témája: 3.0 kontra 3.1
Hozzászólás az előzmény idézésével
Hát ahogy gondoljátok, de a) a 3.1 nem teljesen új, b) 3.0.x-en már nincs fejlesztés, csak bug fix-ek, c) elvileg 2015 végén 2016 elején jön a 3.2, szóval akkor már ne is telepítse senki a 3.1-et, mert még mindig új lesz, amikor kijön a következő verzió?

Az, hogy kevesebb extension van hozzá, az abból fakad, hogy a MOD-okat lecserélték extension-ökre, ami azoknak, akik eddig is 3.0-t használtak szívás, de új telepítésékenél, ha nem vágysz pont egy olyan MOD-ra ami feltétlenül szükséges, butaság a 3.0-t telepíteni. A 3.1 a támogatott és fejlesztett verzió, mást javasolni szerintem nem indokolt, ha valakinek nincsenek olyan specifikus igényei, amit csak egy 3.0-s MOD-al lehet kielégíteni.


Áthelyezve Az adatbázis helye c. témából - Marcee
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
dzseemy
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2011.07.04. Hétfő 16:20
Hozzászólások: 131
Hozzászólás Elküldve: 2015.03.01. 10:39    Hozzászólás témája:
Hozzászólás az előzmény idézésével

pstvfan írta:

Hát ahogy gondoljátok, de a) a 3.1 nem teljesen új, b) 3.0.x-en már nincs fejlesztés, csak bug fix-ek, c) elvileg 2015 végén 2016 elején jön a 3.2, szóval akkor már ne is telepítse senki a 3.1-et, mert még mindig új lesz, amikor kijön a következő verzió?
Teljesen igazad van, hogy érdemes a 3.1-et használni, annak aki megelégszik a kevesebb témával, illetve nem szeretne használni MOD-okat. Biztosan van néhány extension ami kivált néhány MOD-ot.
A kinézet is tág formában szerkeszthető megfelelő ismeretekkel.
De egy kezdőnek, aki most telepít fel először egy phpBB-t, és szeretné testre szabni, annak a 3.0 a jó választás.

Számomra furcsa, hogy a 3.0 2007. decemberében jött ki először, a 3.1 2014. októberében, a 3.2 pedig várhatóan 2015 végén 2016 elején jön ki. Tehát a 3.1 "csak" 1-1,5 évet él meg. De miért? Talán zsákutca ez a fejlesztés?
Kép

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.03.01. 11:42    Hozzászólás témája:
Hozzászólás az előzmény idézésével

dzseemy írta:

Számomra furcsa, hogy a 3.0 2007. decemberében jött ki először, a 3.1 2014. októberében, a 3.2 pedig várhatóan 2015 végén 2016 elején jön ki. Tehát a 3.1 "csak" 1-1,5 évet él meg. De miért? Talán zsákutca ez a fejlesztés?
Alapvetően azért, mert a 3.2 már sokkal jobban integrálva lesz a Symofny framework-el.
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
Ragadozo
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.05.08. Csütörtök 18:26
Hozzászólások: 629
Hozzászólás Elküldve: 2015.03.01. 12:24    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Én meg inkább úgy mondanám, hogy olyan szuper dolgot készítettek szakmailag, ami a phpbb "halálához" vezet.
Készítettek egy szakmailag minden bizonnyal kiváló fórumot, amit majd a felhasználók 80-90%-a nem tud használni, csak a kifejezetten alap részt. Pont a kinézetek, és a MOD-ok tömege volt az, amelyek olyan csábítóvá tették a felhasználóknak a 3.0-ás fórum használatát. Nem beszélve arról, hogy viszonylag kevés HTML - php ismerettel is már tudtak bizonyos dolgokat önállóan is elvégezni a fórumban.

Jelenleg alig pár dolog van a 3.1-hez, ami nem túl nagy lendülettel bővül. Ráadásul egy év múlva már nem is ér semmit, mert át kell írni a 3.2-höz. Aminél kell legalább egy újabb év, hogy pár MOD készüljön hozzá. A felhasználók pedig ennyi időt nem fognak várni.
Jelentősen nagy része nem fog átállni sem a 3.1-re, sem a 3.2-re (vagy akár 4.0-ra), és vagy megmarad a nagyon jól bevált 3.0-nál, vagy inkább CMS-, vagy más alapú fórumot fog keresni, amikhez nem kell informatikai főiskolai végzettség hogy átírja a fórum színét..

Felhasználó profiljának megtekintése Privát üzenet küldése Email küldése Felhasználó weblapjának megtekintése
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.03.01. 12:48    Hozzászólás témája:
Hozzászólás az előzmény idézésével

Ragadozo írta:

Jelenleg alig pár dolog van a 3.1-hez, ami nem túl nagy lendülettel bővül. Ráadásul egy év múlva már nem is ér semmit, mert át kell írni a 3.2-höz. Aminél kell legalább egy újabb év, hogy pár MOD készüljön hozzá. A felhasználók pedig ennyi időt nem fognak várni.
Jelentősen nagy része nem fog átállni sem a 3.1-re, sem a 3.2-re (vagy akár 4.0-ra), és vagy megmarad a nagyon jól bevált 3.0-nál, vagy inkább CMS-, vagy más alapú fórumot fog keresni, amikhez nem kell informatikai főiskolai végzettség hogy átírja a fórum színét..
Nézd, az, hogy te mennyi MOD-ot használsz az nyílván a te dolgod, és azzal is egyet értek, hogy kellemetlen amikor ezek inkompatibilissé válnak a legfrissebb verzióval, de nem hiszem, hogy Windows XP használata indokolt lenne csak azért, mert ott nem kell annyit hackelni, ha a Diablo 2-vel szeretnék kicsit nosztalgiázni.

Amit a 3.2 és extension-ök kapcsolatáról írtál, az nem igen helytálló, a 3.1-es extensionök működni fognak 3.2-n is amennyire én tudom. Továbbá, ahhoz, hogy átírd a szineket továbbra is pont ugyanannyi tudás kell mint a 2.0-s verzióban (sőt van weboldal is a prosilver átszinezéséhez, ergo még talán annyi sem). Az szerintem szintén nem helytálló, hogy egy CMS fórum plugin-t könnyebben testreszabhatsz (vagy ha mégis, az azért van, mert jóval kevesebb funkciót tartalmaz).

U.i.: Marcee szerintem az utolsó pár hozzászólás átkerülhetne a phpBB tárgyaló 3.1-es részhez, mert ez már elég off topic.
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
KillBill
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2007.03.26. Hétfő 5:42
Hozzászólások: 2237
Hozzászólás Elküldve: 2015.03.01. 19:04    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Én maradok még a 3.0, jelenleg sokkal jobb mint a 3.1.

Sőt én nem is ajánlom a frissítést senkinek.

Az xp felhozása rossz példa, ha például a vistával vetjük össze mert akkor ott is az XP-t választaná sok sok emberke.
_________________
phpBB my addons: phpBB Arcade, [MODDB] phpBB Delete my registration, [RC] phpBB Invite
phpBB my Extensions: [RC] phpBB Arcade, [CDB] phpBB Delete my registration

Játék-világ - KillBill

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése MSN Messenger
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.03.01. 19:33    Hozzászólás témája:
Hozzászólás az előzmény idézésével

KillBill írta:

Én maradok még a 3.0, jelenleg sokkal jobb mint a 3.1.

Sőt én nem is ajánlom a frissítést senkinek.

Az xp felhozása rossz példa, ha például a vistával vetjük össze mert akkor ott is az XP-t választaná sok sok emberke.
Az utolsó pont helytálló, ha a vista korszakra gondolsz, de win7 után már ugye kicsit más tészta... :)

A magam részéről (úgy tűnik közüllünk egyedül) inkább 3.1 párti vagyok, és szerintem ez alapvetően a MOD-ok miatt van. Amennyire én látom (a hozzászólásokból máshol is a fórumon belül) ti olyan fórumokat üzemeltettek, amik tele vannak MOD-okkal, amiket nem tudtok lecserélni extension-ökre, mert azok még nem léteznek, de ettől függetlenül az extension-ök, mint design, sokkal tisztább megoldást jelentenek, mint a MOD-ok (nem kell szívni frissítéskor stb.).

Ragadozo írta:

Nem beszélve arról, hogy viszonylag kevés HTML - php ismerettel is már tudtak bizonyos dolgokat önállóan is elvégezni a fórumban.
Ez a lehetőség most is megvan, azt csinálsz a forrással amit akarsz, a különbség annyi, hogy aki nem akar turkálni a kódban, annak nem kell. Ebből nyilván az következik, hogy egy extension-t megírni némivel bonyolultabb feladat, de ez pont azt segíti elő, hogy aki egy kis PHP vagy HTML ismerettel sem rendelkezik, azoknak könnyebb legyen az élete. Szóval egy kicsit olyan, mintha azt mondanád, hogy az audikban is használjunk hegesztett difit, mert a kockaládához bejött, amikor elmentetek rallyzni a haverokkal... :P
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
KillBill
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2007.03.26. Hétfő 5:42
Hozzászólások: 2237
Hozzászólás Elküldve: 2015.03.02. 00:09    Hozzászólás témája:
Hozzászólás az előzmény idézésével

pstvfan írta:

KillBill írta:

Én maradok még a 3.0, jelenleg sokkal jobb mint a 3.1.

Sőt én nem is ajánlom a frissítést senkinek.

Az xp felhozása rossz példa, ha például a vistával vetjük össze mert akkor ott is az XP-t választaná sok sok emberke.
Az utolsó pont helytálló, ha a vista korszakra gondolsz, de win7 után már ugye kicsit más tészta... :)
Pontosan :lol: ha xp és win7 akkor már win7

A 3.1 hasonlítható a vistához egy kutya mind a kettő átlagon aluli :wink:

pstvfan írta:

Amennyire én látom (a hozzászólásokból máshol is a fórumon belül) ti olyan fórumokat üzemeltettek, amik tele vannak MOD-okkal, amiket nem tudtok lecserélni extension-ökre, mert azok még nem léteznek
Hülyeség, én pl minden MOD-ot amit használók már átkonvertáltam ext-re, de ennek ellenére se állnék még át 3.1-re :wink:

pstvfan írta:

extension-t megírni némivel bonyolultabb feladat
Ez sem igaz, ha átnézed a kódokat igen is könnyű.

Sok weben folyik e-fajta értékelés és a 3.1-re nagyon kevesen szavaznak.

Miért, mert nagyon lassú! És az új szép kinézet és az értesítő rendszere sem kárpótolja ezt a hibát!

Ha megnézed mennyi fájlt tölt be a 3.1 mire legenerálja az index oldalt láthatod, hogy több száz fájlt is betölt a régi 10 helyet. Nem csoda, hogy lassú. Én azért szerettem a phpBB mert saját fájlokból dolgozott és nem használt idegen fájlokat se mint php és js.

Remélhetőleg a 3.2 már jobb lesz. :roll:
_________________
phpBB my addons: phpBB Arcade, [MODDB] phpBB Delete my registration, [RC] phpBB Invite
phpBB my Extensions: [RC] phpBB Arcade, [CDB] phpBB Delete my registration

Játék-világ - KillBill

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése MSN Messenger
Ragadozo
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.05.08. Csütörtök 18:26
Hozzászólások: 629
Hozzászólás Elküldve: 2015.03.09. 23:41    Hozzászólás témája:
Hozzászólás az előzmény idézésével
phpBB kiadási és támogatási ütemterv

Valahol "tudat alatt" szinte már vártam egy jelre, és lőn világosság ....
és ugyanakkor ez volt az a bizonyos "utolsó csepp" ....

Idáig is kissé idegenkedtem az új verzió szerintem túlbonyolított megoldásaitól, és hiába olvastam utána bárhol, semmi sem tudott meggyőzni arról, hogy miért szükséges ez a keret-rendszer egy jól működő fórum motorhoz.
De úgy voltam vele, hogy nálam sokkal okosabbak, és jobban hozzá értők készítették, és biztos megvolt rá az okuk.
Bár egyetlen hivatalos phpbb oldalon sem derült ki sehol sem, hogy igazából konkrétan miért volt rá szükség(??).
Mert szerintem ez csak amolyan "akkor jó ötletnek tűnt" dolog, amit aztán végig csináltak, hogy ha már bele kezdtek, "ne érje szó a ház elejét".

De ezt az ütemtervet látva így most már biztos, hogy a saját, és az általam támogatott oldalakra nem fog felkerülni sem phpBB 3.1.x, sem phpBB 3.2.x, sem phpBB 3.3.x.

Felhasználó profiljának megtekintése Privát üzenet küldése Email küldése Felhasználó weblapjának megtekintése
_zso2
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.25. Kedd 1:00
Hozzászólások: 2029
Hozzászólás Elküldve: 2015.03.10. 11:11    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Szerintem túl korán ítélkezel.

Annyi minden történhet még akár csak a 3.1 életében is, nem beszélve a 3.2 és további verziókban, hogy tök felesleges már most lehúzni a rolót.

A keretrendszer változásához tuni kell, hogy szerintem egyáltalán nem lett bonyolultabb, sőt.
Neked talán idegen, de aki annyira nem ért a programozáshoz, aki igazából tényleg "csak" üzemeltetni akar egy fórumot, miért zárnád ki csak emiatt az egyedivé tétel lehetősége elől? Az extension-ök befogadása nem működött volna az előző rendszerrel, mindenképp váltani keleltt valamit.

Sokszor írja KillBill is, hogy mennyive erőforrásigényesebb a 3.1.
Igen, ez igaz, azonban nézni kell a másik oldalt is, mit nyer vele az ember (és itt mondom, kimondottan nem rátok gondolok, hanem a mezei adminra, akinek van egy nagyon jó közössége, és nekik akar mindenkféle IT háttér nélkül fórumot biztosítani). Egyszerűbb működést, egyszerűbb egyedi megoldásokat. És ez jó, mégha megvan az ára is.
_________________
Tapasztalást pénzért venni vagy hagyományképpen kapni nem lehet - fizetni kell azért mindég és mindegyiknek.

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.03.10. 12:13    Hozzászólás témája:
Hozzászólás az előzmény idézésével

Ragadozo írta:

Idáig is kissé idegenkedtem az új verzió szerintem túlbonyolított megoldásaitól, és hiába olvastam utána bárhol, semmi sem tudott meggyőzni arról, hogy miért szükséges ez a keret-rendszer egy jól működő fórum motorhoz.
De úgy voltam vele, hogy nálam sokkal okosabbak, és jobban hozzá értők készítették, és biztos megvolt rá az okuk.
Bár egyetlen hivatalos phpbb oldalon sem derült ki sehol sem, hogy igazából konkrétan miért volt rá szükség(??).
Itt elolvashatod milyen okai voltak, amúgy a framework használata több szempontból is előnyös, egyrészt nem kell újra feltalálni a kereket (session handling, auth handling, template handling), hanem csak választasz valamit ami szimpatikus, és kész. Ezt nyilván vitathatod, de szerintem elég tagadhatatatlan, hogy a phpBB core még mindig tele van elavult kóddal, ami többek közt nem segíti az optimalizálást sem. A másik dolog a dependency injection, ami elég hasznos a Symfony-ból, ez lehetővé teszi hogy te vagy egy extension lecserélje mondjuk a templating engine-t, vagy a session handlert. Ennek nyilván akkor van értelme, ha integrálni akarod a fórumot egy CMS-be vagy saját egyéb web alkalmazásba.
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
Ragadozo
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.05.08. Csütörtök 18:26
Hozzászólások: 629
Hozzászólás Elküldve: 2015.03.10. 23:09    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Rászántam ezt a mai napot, és egy egyszerű standard fórumozó szemszögéből, akiről tételezzük fel, hogy teljesen alap szinten van némi fogalma a HTML-ről, a CSS-ről, és látott már php kódokat, nekiálltam konvertálni.

Az egyik teszt fórumom 3.0.12 és ezt átkonvertáltam a legújabb 3.1.3 verzióra az autó update package segítségével.
Nem részletezem, végül is megcsinálta. 1437 vagy mennyi fájlt azonosított, és nézett át. Első kőrbe visszadobott vagy 20-30 fájlt. Újabb frissítés, és talált még egy fájlt. Újabb frissítés .... és megint talált még egyetlen fájlt.

Közbe vagy 100 fájlt kilistázott azzal az indokkal, hogy ezeket már a 3.1.x nem használja.
Ez rendben van, de egyetlen egyet sem törölt le magától. Nem tudom, hogy ebben mi az auto_update(??).
A fájlokat ráadásul egyenként kellett törölgetni, mivel (utána néztem) a lista sem a fájlméret, sem a fájl keletkezési dátum, sem a fájlnév alapján nem állt össze, teljesen véletlenszerűen dobálta be őket. Egyedül annyi volt egységes, hogy mappánként rakta sorba, de mappán belül egy előröl egy a végéről egy a közepéről, stb, stb teljesen véletlenszerűen, ezért aztán egyenként kellett mazsolázgatni.
Itt is volt, vagy 2x, hogy még azért egyetlen fájlt talált a frissítés után.
Az adatbázis frissítés is 4x-re futott le, mire kész lett.
Ami a lényeg:
  1. Legalább másfél órát tartott a konvertálás (bele számítva a szüttyögést is törlésekkel).
  2. A végeredmény egy teljesen használhatatlan valami, amit el sem lehet indítani.


Például overal_header.html
Némelyik IF elágazást önkényesen átírja, majd természetesen a következő ELSE más ismeretlen meghatározásként hibát generál.
<body ....> után a facebook script - meghagyja, de a végéről törli a </script> zárást.

Be sem jön a fórum, mert a common.php-ba mindjárt kiakad a "ARCADE_INCLUDE_PATH" ismeretlen meghatározáson.

Had ne soroljam a többit .....

Tehát összegezve, ha csak egyetlen kis MOD-ocska is van a régi fórumon, már nem szabad konvertálni a fórumot, mert nem biztonságos, és nagy valószínűséggel el sem fog indulni!
Akiknek van gyakorlata már benne, azok megtalálják a problémás pontokat, de most őszintén!, azok a nagyon sok fórum-tulajdonosok között vajon mennyien vannak, akik legalább annyira értenek ezekhez a dolgokhoz, hogy egyáltalán sejtsék, merre induljanak.

Én nem akarok senkit befolyásolni, mindenki azt frissít, amit akar. Csak kizárólag a saját véleményemet írtam le mindenféle ajánlás, vagy nem ajánlás nélkül.
Egyszerűen csak abból indulok ki, hogy például az egyik oldalon 21 MOD van telepítve, és 7 db. teljesen egyedi fejlesztés van benne. Nem olyan nagy szám, de akik oda járnak, azok szívesen vannak ott, és egyre többen jönnek.
Évek fognak eltelni, mire a 3.1 - 3.2 - 3.3 kifejlődik annyira (ha csak a 4.0-val nem kezdődik megint előröl egy új világ), hogy valami hasonlót össze tudjanak hozni egyszerű fórum-tulajdonosok is, nem csak php-guruk.

Ezért írtam én azt, hogy nálam nem lesz "legújabb verzió". :)

Felhasználó profiljának megtekintése Privát üzenet küldése Email küldése Felhasználó weblapjának megtekintése
pstvfan
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2006.07.30. Vasárnap 1:00
Hozzászólások: 1538
Hozzászólás Elküldve: 2015.03.11. 01:19    Hozzászólás témája:
Hozzászólás az előzmény idézésével

Ragadozo írta:

Rászántam ezt a mai napot, és egy egyszerű standard fórumozó szemszögéből, akiről tételezzük fel, hogy teljesen alap szinten van némi fogalma a HTML-ről, a CSS-ről, és látott már php kódokat, nekiálltam konvertálni.

Az egyik teszt fórumom 3.0.12 és ezt átkonvertáltam a legújabb 3.1.3 verzióra az autó update package segítségével.
Nem részletezem, végül is megcsinálta. 1437 vagy mennyi fájlt azonosított, és nézett át. Első kőrbe visszadobott vagy 20-30 fájlt. Újabb frissítés, és talált még egy fájlt. Újabb frissítés .... és megint talált még egyetlen fájlt.

Közbe vagy 100 fájlt kilistázott azzal az indokkal, hogy ezeket már a 3.1.x nem használja.
Ez rendben van, de egyetlen egyet sem törölt le magától. Nem tudom, hogy ebben mi az auto_update(??).
A fájlokat ráadásul egyenként kellett törölgetni, mivel (utána néztem) a lista sem a fájlméret, sem a fájl keletkezési dátum, sem a fájlnév alapján nem állt össze, teljesen véletlenszerűen dobálta be őket. Egyedül annyi volt egységes, hogy mappánként rakta sorba, de mappán belül egy előröl egy a végéről egy a közepéről, stb, stb teljesen véletlenszerűen, ezért aztán egyenként kellett mazsolázgatni.
Itt is volt, vagy 2x, hogy még azért egyetlen fájlt talált a frissítés után.
Nem ellenőriztem, de lehet, hogy megpróbálja törölni a fájlokat, csak nincs hozzá jogosultsága a scriptnek.

Ragadozo írta:

Az adatbázis frissítés is 4x-re futott le, mire kész lett.
Ez jó kérdés, hogy miért lehet, valószínűleg van valami bug az updater-ben (feltéve, hogy a core által használt schemába nem piszkált bele egy MOD sem), szóval itt még az lenne érdekes, ha törlöd a fájlokat és feltöltesz egy tiszta 3.1.x-et akkor működik-e a dolog.

Ragadozo írta:

Tehát összegezve, ha csak egyetlen kis MOD-ocska is van a régi fórumon, már nem szabad konvertálni a fórumot, mert nem biztonságos, és nagy valószínűséggel el sem fog indulni!
Akiknek van gyakorlata már benne, azok megtalálják a problémás pontokat, de most őszintén!, azok a nagyon sok fórum-tulajdonosok között vajon mennyien vannak, akik legalább annyira értenek ezekhez a dolgokhoz, hogy egyáltalán sejtsék, merre induljanak.

Én nem akarok senkit befolyásolni, mindenki azt frissít, amit akar. Csak kizárólag a saját véleményemet írtam le mindenféle ajánlás, vagy nem ajánlás nélkül.
Egyszerűen csak abból indulok ki, hogy például az egyik oldalon 21 MOD van telepítve, és 7 db. teljesen egyedi fejlesztés van benne. Nem olyan nagy szám, de akik oda járnak, azok szívesen vannak ott, és egyre többen jönnek.
Kicsit hülyén hangzik, és közel biztos, hogy rajtad nem segít, de például az extension-ök meg a legtöbb fejlesztés a 3.0.x és 3.1.x között többek között pont, ezt a célt szolgálják, hogy ha 21 extension és 7 saját extension van telepítve, akkor majd legközelebb zökkenő mentesebb legyen a frissítés.

Ragadozo írta:

Évek fognak eltelni, mire a 3.1 - 3.2 - 3.3 kifejlődik annyira (ha csak a 4.0-val nem kezdődik megint előröl egy új világ), hogy valami hasonlót össze tudjanak hozni egyszerű fórum-tulajdonosok is, nem csak php-guruk.

Ezért írtam én azt, hogy nálam nem lesz "legújabb verzió". :)
Azt hiszem, talán ez az, amire még korábban céloztam a MOD vs extension vonalon. Gondolom a saját fejlesztéseid főként inline edit-ek a phpBB kódban (ez csak tipp), de ez a megérzésem. Alapvetően a MOD-ok pont erre ösztönözték a felhasználókat, hogy módosítsd a kódban levő SQL-t vagy akármi, és mindenki boldogan él, kivéve, ha frissíteni kell. Az extension rendszer, és az hogy minden service-ként fut, az pont abban segít, hogy a változtatásaid ne legyenek hatással arra, hogy tudsz-e használni egy frissítést, legyen az teljesen új verzió vagy csak egy bug fix. A többi előnyt szerintem már tárgyaltuk, vagy link az előző hozzásszólásban.

A fentiek persze szintén nem jelentik, hogy majd a 4.0.x-ben ne kéne átírni az extension-öket egy bizonyos szintig (vagy teljesen), de akkor ugye csak "konvertálni" kell az új rendszerre egy különálló kódcsomagot, és nem kiguberálni, hogy mondjuk az egyik fejlesztésed melyik 6 fájlban van, és azokat teljesen átírni extension-re (bár killbill azt mondta lejjebb, hogy az sem a világ vége).
_________________
<M>

Felhasználó profiljának megtekintése Privát üzenet küldése
Ragadozo
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2008.05.08. Csütörtök 18:26
Hozzászólások: 629
Hozzászólás Elküldve: 2015.03.11. 02:18    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Nem néztem utána, de nekem mintha úgy tűnt volna, hogy az adatbázis frissítésnél verzió-lépésenként frissített (3.0.13 - 3.1.1 - 3.1.2 - 3.1.3).
Egyébként azzal kezdtem, hogy először legyalultam a teljes teszt oldalt, és felraktam a szűz 3.1.3-at.
Gond nélkül felment, és a fórum is rendben volt utána.

Ha lesz hangulatom, meg időm, egyszer neki esek ezeknek az extension-öknek. Mert valószínű, ha ezzel az extension rendszerrel meg tudok békélni, másképpen látom majd az egészet.

Biztos, hogy akkor sem fog tetszeni :D , de valószínű kicsit másképpen állok hozzá. :)

Felhasználó profiljának megtekintése Privát üzenet küldése Email küldése Felhasználó weblapjának megtekintése
KillBill
Gyakorlott phpBB-s
Gyakorlott phpBB-s
Avatar

Csatlakozott: 2007.03.26. Hétfő 5:42
Hozzászólások: 2237
Hozzászólás Elküldve: 2015.03.11. 08:01    Hozzászólás témája:
Hozzászólás az előzmény idézésével
Ragadozo a frissítést rosszul csináltad azért volt annyi hibád.

Hibamentes frissítés 3.0 -> 3.1

1., törlöd az összes olyan MOD-ot amihez nincs EXT - (beleértve az adatbázist is ami a MOD-hoz tartozik).
2., törlöd a szerverről az összes fájlt kivéve a config.php
3., felmásolod a szűz 3.1 össze fájlját.
4., futtatod az auto frissítést.

Hiba nélkül lefog zajlani és nem lesz egy MOD-od sem. :wink:

Utána kezdhetsz el feltölteni EXT. és frissíteni a régi MOD-ot. (Már, ha az EXT. jól van megírva!)

ui: Néztem sok extension nem tartalmazz frissítést csak új telepítést ezért kell különösen figyelni, ha nem akarsz adat vesztést!
_________________
phpBB my addons: phpBB Arcade, [MODDB] phpBB Delete my registration, [RC] phpBB Invite
phpBB my Extensions: [RC] phpBB Arcade, [CDB] phpBB Delete my registration

Játék-világ - KillBill

Felhasználó profiljának megtekintése Privát üzenet küldése Felhasználó weblapjának megtekintése MSN Messenger
Hozzászólások megtekintése:  

Időzóna: (GMT +1 óra) RSS - hozzászólások
Nem készíthetsz új témákat ebben a fórumban.
Nem válaszolhatsz egy témára ebben a fórumban.
Nem módosíthatod a hozzászólásaidat a fórumban.
Nem törölheted a hozzászólásaidat a fórumban.
Nem szavazhatsz ebben fórumban.

Hirdetés
Hirdetés